/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	Groups 管理XMO 入力チェッククラス
//			変更履歴
//				2004.01.08	新規作成	　　　　　　鈴木　敏子
//
package jp.co.ntt.lms.xmo.People;

import jp.co.ntt.lms.xmo.util.XMOCheck;

/**
 * People 管理XMO 入力チェックのクラスです。<BR>
 * Peopleテーブルの各フィールドの入力チェック処理を行います。
 * @auther T.Suzuki
 * @version 0.0.0.1 2004.01.08
 */
public class PeopleCheck extends XMOCheck
	implements PeopleMessage, PeopleTable
{
	/**
	* UserIDフィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkUserID( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return USERID_HISSU_WAR;
			}
		}

		//GROUP_IDフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, USERID_LENB)){
			return USERID_LEN_WAR;
		}
		return "";
	}

	/**
	* User名フィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkUserName( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return USERNAME_HISSU_WAR;
			}
		}

		//バイト長チェック
		if(!XMOCheck.checkLenB(strCheck, USERNAME_LENB)){
			return USERNAME_LEN_WAR;
		}
		return "";
	}

	/**
	* パスワードフィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkPassword( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return PASSWORD_HISSU_WAR;
			}
		}

		//バイト長チェック
		if(!XMOCheck.checkLenB(strCheck, PASSWORD_LENB)){
			return PASSWORD_LEN_WAR;
		}
		return "";
	}

	/**
	* 住所の入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkAddress( String strCheck, boolean blHissu ){

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return CONTACTADDRESS_HISSU_WAR;
			}
		}

		//バイト長チェック
		if(!XMOCheck.checkLenB(strCheck, ADDRESS_LENB)){
			return CONTACTADDRESS_LEN_WAR;
		}
		return "";
	}

	/**
	* 性別の入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkSex( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return SEX_HISSU_WAR;
			}
		}

		//バイト長チェック
		if(!XMOCheck.checkLenB(strCheck, SEX_LENB)){
			return SEX_LEN_WAR;
		}
		return "";
	}

	/**
	* メールアドレス1の入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkEmail1( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return CONTACTEMAIL_HISSU_WAR;
			}
		}

		//バイト長チェック
		if(!XMOCheck.checkLenB(strCheck, EMAIL_LENB)){
			return CONTACTEMAIL_LEN_WAR;
		}
		return "";
	}

	/**
	* メールアドレス2の入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkEmail2( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return CONTACTEMAIL2_HISSU_WAR;
			}
		}

		//バイト長チェック
		if(!XMOCheck.checkLenB(strCheck, EMAIL2_LENB)){
			return CONTACTEMAIL2_LEN_WAR;
		}
		return "";
	}

	/**
	* カナの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkReadingName( String strCheck, boolean blHissu ){

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return READINGNAME_HISSU_WAR;
			}
		}

		//バイト長チェック
		if(!XMOCheck.checkLenB(strCheck, READINGNAME_LENB)){
			return READINGNAME_LEN_WAR;
		}
		return "";
	}

	/**
	* 誕生日の入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkBirthday( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return BIRTHDAY_HISSU_WAR;
			}
		}

		//バイト長チェック
		if(!XMOCheck.checkLenB(strCheck, BIRTHDAY_LENB)){
			return BIRTHDAY_LEN_WAR;
		}

		//日付チェック
		if(!XMOCheck.checkDate(strCheck)){
			return BIRTHDAY_DATE_WAR;
		}
		return "";
	}

	/**
	* 電話番号の入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkTel( String strCheck, boolean blHissu ){

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return CONTACTTEL_HISSU_WAR;
			}
		}

		//バイト長チェック
		if(!XMOCheck.checkLenB(strCheck, TEL_LENB)){
			return CONTACTTEL_LEN_WAR;
		}
		return "";
	}

	/**
	* コメントの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkCustomMsgDir( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return CUSTOMMSGDIR_HISSU_WAR;
			}
		}

		//バイト長チェック
		if(!XMOCheck.checkLenB(strCheck, CUSTOM_LENB)){
			return CUSTOMMSGDIR_LEN_WAR;
		}
		return "";
	}

	/**
	* 隠しフラグの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkDeleteFlag( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return DELETEFLAG_HISSU_WAR;
			}
		}

		//バイト長チェック
		if(!XMOCheck.checkLenB(strCheck, DELETE_LENB)){
			return DELETEFLAG_LEN_WAR;
		}
		return "";
	}

	/**
	* 外部キーフィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkForeignID( String strCheck, boolean blHissu ){

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu( strCheck ) ) {
				return FOREIGNID_HISSU_WAR;
			}
		}

		//FOREING_IDフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, FOREIGNID_LENB)){
			return FOREIGNID_LEN_WAR;
		}
		return "";
	}

	/**
	* ログインIDフィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkLoginID( String strCheck, boolean blHissu ){

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu( strCheck ) ) {
				return LOGINID_HISSU_WAR;
			}
		}

		//FOREING_IDフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, LOGINID_LENB)){
			return LOGINID_LEN_WAR;
		}
		return "";
	}

	/**
	* ＡＤユーザＩＤの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkAdUserId( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return ADUSERID_HISSU_WAR;
			}
		}

		//バイト長チェック
		if(!XMOCheck.checkLenB(strCheck, ADUSERID_LENB)){
			return ADUSERID_LEN_WAR;
		}
		return "";
	}

	/**
	* ＡＤ識別名の入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkAdDn( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return ADDN_HISSU_WAR;
			}
		}

		//バイト長チェック
		if(!XMOCheck.checkLenB(strCheck, ADDN_LENB)){
			return ADDN_LEN_WAR;
		}
		return "";
	}
	
	/**
	* ユーザタイプの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkUserType( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return USERTYPE_HISSU_WAR;
			}
		}

		//バイト長チェック
		if(!XMOCheck.checkLenB(strCheck, USERTYPE_LENB)){
			return USERTYPE_LEN_WAR;
		}
		return "";
	}
	
	/**
	* オブジェクトIDの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkOid( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return OID_HISSU_WAR;
			}
		}

		//バイト長チェック
		if(!XMOCheck.checkLenB(strCheck, OID_LENB)){
			return OID_LEN_WAR;
		}
		return "";
	}
	
}
